RHSA-2009:0021-01 Important: kernel security update
Posted on: 02/25/2009 03:20 AM

A new update is available for Red Hat Enterprise Linux. Here the announcement:

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

=====================================================================
Red Hat Security Advisory

Synopsis: Important: kernel security update
Advisory ID: RHSA-2009:0021-01
Product: Red Hat Enterprise Linux
Advisory URL: https://rhn.redhat.com/errata/RHSA-2009-0021.html
Issue date: 2009-02-24
CVE Names: CVE-2008-5029 CVE-2008-5079 CVE-2008-5182
CVE-2008-5300
=====================================================================

1. Summary:

Updated kernel packages that resolve several security issues are now
available for Red Hat Enterprise Linux 5.2 Extended Update Support.

This update has been rated as having important security impact by the Red
Hat Security Response Team.

2. Relevant releases/architectures:

Red Hat Enterprise Linux (v. 5.2.z server) - i386, ia64, noarch, ppc, s390x, x86_64

3. Description:

The kernel packages contain the Linux kernel, the core of any Linux
operating system.

This update includes backported fixes for four security issues. These
issues only affected users of Red Hat Enterprise Linux 5.2 Extended Update
Support as they have already been addressed for users of Red Hat Enterprise
Linux 5 in the 5.3 update, RHSA-2009:0225.

In accordance with the support policy, future security updates to Red Hat
Enterprise Linux 5.2 Extended Update Support will only include issues of
critical security impact.

* when fput() was called to close a socket, the __scm_destroy() function
in the Linux kernel could make indirect recursive calls to itself. This
could, potentially, lead to a denial of service issue. (CVE-2008-5029,
Important)

* the sendmsg() function in the Linux kernel did not block during UNIX
socket garbage collection. This could, potentially, lead to a local denial
of service. (CVE-2008-5300, Important)

* a flaw was found in the Asynchronous Transfer Mode (ATM) subsystem. A
local, unprivileged user could use the flaw to listen on the same socket
more than once, possibly causing a denial of service. (CVE-2008-5079,
Important)

* a race condition was found in the Linux kernel "inotify" watch removal
and umount implementation. This could allow a local, unprivileged user
to cause a privilege escalation or a denial of service. (CVE-2008-5182,
Important)

Users should upgrade to these updated packages, which contain backported
patches to correct these issues. Note: for this update to take effect, the
system must be rebooted.

4. Solution:

Before applying this update, make sure that all previously-released
errata relevant to your system have been applied.

This update is available via Red Hat Network. Details on how to use
the Red Hat Network to apply this update are available at
http://kbase.redhat.com/faq/docs/DOC-11259

5. Bugs fixed (http://bugzilla.redhat.com/):

470201 - CVE-2008-5029 kernel: Unix sockets kernel panic
472325 - CVE-2008-5182 kernel: fix inotify watch removal/umount races
473259 - CVE-2008-5300 kernel: fix soft lockups/OOM issues with unix socket garbage collector
473696 - CVE-2008-5079 Linux Kernel 'atm module' Local Denial of Service

6. Package List:

Red Hat Enterprise Linux (v. 5.2.z server):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/5Server/en/os/SRPMS/kernel-2.6.18-92.1.24.el5.src.rpm

i386:
kernel-2.6.18-92.1.24.el5.i686.rpm
kernel-PAE-2.6.18-92.1.24.el5.i686.rpm
kernel-PAE-debuginfo-2.6.18-92.1.24.el5.i686.rpm
kernel-PAE-devel-2.6.18-92.1.24.el5.i686.rpm
kernel-debug-2.6.18-92.1.24.el5.i686.rpm
kernel-debug-debuginfo-2.6.18-92.1.24.el5.i686.rpm
kernel-debug-devel-2.6.18-92.1.24.el5.i686.rpm
kernel-debuginfo-2.6.18-92.1.24.el5.i686.rpm
kernel-debuginfo-common-2.6.18-92.1.24.el5.i686.rpm
kernel-devel-2.6.18-92.1.24.el5.i686.rpm
kernel-headers-2.6.18-92.1.24.el5.i386.rpm
kernel-xen-2.6.18-92.1.24.el5.i686.rpm
kernel-xen-debuginfo-2.6.18-92.1.24.el5.i686.rpm
kernel-xen-devel-2.6.18-92.1.24.el5.i686.rpm

ia64:
kernel-2.6.18-92.1.24.el5.ia64.rpm
kernel-debug-2.6.18-92.1.24.el5.ia64.rpm
kernel-debug-debuginfo-2.6.18-92.1.24.el5.ia64.rpm
kernel-debug-devel-2.6.18-92.1.24.el5.ia64.rpm
kernel-debuginfo-2.6.18-92.1.24.el5.ia64.rpm
kernel-debuginfo-common-2.6.18-92.1.24.el5.ia64.rpm
kernel-devel-2.6.18-92.1.24.el5.ia64.rpm
kernel-headers-2.6.18-92.1.24.el5.ia64.rpm
kernel-xen-2.6.18-92.1.24.el5.ia64.rpm
kernel-xen-debuginfo-2.6.18-92.1.24.el5.ia64.rpm
kernel-xen-devel-2.6.18-92.1.24.el5.ia64.rpm

noarch:
kernel-doc-2.6.18-92.1.24.el5.noarch.rpm

ppc:
kernel-2.6.18-92.1.24.el5.ppc64.rpm
kernel-debug-2.6.18-92.1.24.el5.ppc64.rpm
kernel-debug-debuginfo-2.6.18-92.1.24.el5.ppc64.rpm
kernel-debug-devel-2.6.18-92.1.24.el5.ppc64.rpm
kernel-debuginfo-2.6.18-92.1.24.el5.ppc64.rpm
kernel-debuginfo-common-2.6.18-92.1.24.el5.ppc64.rpm
kernel-devel-2.6.18-92.1.24.el5.ppc64.rpm
kernel-headers-2.6.18-92.1.24.el5.ppc.rpm
kernel-headers-2.6.18-92.1.24.el5.ppc64.rpm
kernel-kdump-2.6.18-92.1.24.el5.ppc64.rpm
kernel-kdump-debuginfo-2.6.18-92.1.24.el5.ppc64.rpm
kernel-kdump-devel-2.6.18-92.1.24.el5.ppc64.rpm

s390x:
kernel-2.6.18-92.1.24.el5.s390x.rpm
kernel-debug-2.6.18-92.1.24.el5.s390x.rpm
kernel-debug-debuginfo-2.6.18-92.1.24.el5.s390x.rpm
kernel-debug-devel-2.6.18-92.1.24.el5.s390x.rpm
kernel-debuginfo-2.6.18-92.1.24.el5.s390x.rpm
kernel-debuginfo-common-2.6.18-92.1.24.el5.s390x.rpm
kernel-devel-2.6.18-92.1.24.el5.s390x.rpm
kernel-headers-2.6.18-92.1.24.el5.s390x.rpm
kernel-kdump-2.6.18-92.1.24.el5.s390x.rpm
kernel-kdump-debuginfo-2.6.18-92.1.24.el5.s390x.rpm
kernel-kdump-devel-2.6.18-92.1.24.el5.s390x.rpm

x86_64:
kernel-2.6.18-92.1.24.el5.x86_64.rpm
kernel-debug-2.6.18-92.1.24.el5.x86_64.rpm
kernel-debug-debuginfo-2.6.18-92.1.24.el5.x86_64.rpm
kernel-debug-devel-2.6.18-92.1.24.el5.x86_64.rpm
kernel-debuginfo-2.6.18-92.1.24.el5.x86_64.rpm
kernel-debuginfo-common-2.6.18-92.1.24.el5.x86_64.rpm
kernel-devel-2.6.18-92.1.24.el5.x86_64.rpm
kernel-headers-2.6.18-92.1.24.el5.x86_64.rpm
kernel-xen-2.6.18-92.1.24.el5.x86_64.rpm
kernel-xen-debuginfo-2.6.18-92.1.24.el5.x86_64.rpm
kernel-xen-devel-2.6.18-92.1.24.el5.x86_64.rpm

These packages are GPG signed by Red Hat for security. Our key and
details on how to verify the signature are available from
https://www.redhat.com/security/team/key/#package

7. References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-5029
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-5079
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-5182
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-5300
http://www.redhat.com/security/updates/classification/#important

8. Contact:

The Red Hat security contact is lt;secalert@redhat.comgt;. More contact
details at https://www.redhat.com/security/team/contact/

Copyright 2009 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.4 (GNU/Linux)

iD8DBQFJpJsDXlSAg2UNWIIRAh0UAJ99/pGumbq971RYOA7DVVs70is6JgCfem3M
fzxViHJKMqTwbOQDyjKgchk=
=fNTP
-----END PGP SIGNATURE-----



Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/rhsa_20090021_01_important_kernel_security_update.html)